Main Page Widgets Namespaces Book

# Gtk::TreeNodeChildren Class Reference
[TreeView Classes]

typdefed as TreeModel::Children. More...

Inheritance diagram for Gtk::TreeNodeChildren:

[legend]
List of all members.

## Public Types
typedef Gtk::TreeRow | value_type
typedef unsigned int | size_type
typedef int | difference_type
typedef Gtk::TreeIter | iterator
typedef Gtk::TreeIter | const_iterator
## Public Methods
iterator | begin () const
iterator | end () const
value_type | operator[] (size_type index) const
size_type | size () const
bool | empty () const
| operator bool () const

## Detailed Description

typdefed as TreeModel::Children.

Virtual container of TreeModel::Row items.

## Member Typedef Documentation

typedef Gtk::TreeIter Gtk::TreeNodeChildren::const_iterator

typedef int Gtk::TreeNodeChildren::difference_type

| Reimplemented from Gtk::TreeIter.

typedef Gtk::TreeIter Gtk::TreeNodeChildren::iterator

typedef unsigned int Gtk::TreeNodeChildren::size_type

typedef Gtk::TreeRow Gtk::TreeNodeChildren::value_type

| Reimplemented from Gtk::TreeIter.

## Member Function Documentation

iterator Gtk::TreeNodeChildren::begin | ( |  | ) |

bool Gtk::TreeNodeChildren::empty | ( |  | ) |

iterator Gtk::TreeNodeChildren::end | ( |  | ) |

Gtk::TreeNodeChildren::operator bool | ( |  | ) | const`[inline]`

| Reimplemented from Gtk::TreeIter.

value_type Gtk::TreeNodeChildren::operator[] | ( | size_type | index | ) | const

size_type Gtk::TreeNodeChildren::size | ( |  | ) |

The documentation for this class was generated from the following file:

- treeiter.h